%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		enet
Version:	1.3.18
Release:	%mkrel 1
Summary:	Simple Network Communication Layer on Top of UDP
License:	BSD
Group:		System/Libraries
Url:		http://enet.bespin.org/
Source:		http://enet.bespin.org/download/enet-%{version}.tar.gz

%description
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

%package -n %{libname}
Group:		System/Libraries
Summary:	Simple Network Communication Layer on Top of UDP

%description -n %{libname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

%package -n %{develname}
Group:		Development/C
Summary:	Simple Network Communication Layer on Top of UDP
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}enet1.2-devel

%description -n	%{develname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Fri Jun 07 2024 daviddavid <daviddavid> 1.3.18-1.mga10
+ Revision: 2070401
- new version: 1.3.18

* Tue Mar 15 2022 umeabot <umeabot> 1.3.17-2.mga9
+ Revision: 1793690
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 wally <wally> 1.3.17-1.mga9
+ Revision: 1755422
- new version 1.3.17

* Sun Oct 11 2020 wally <wally> 1.3.16-1.mga8
+ Revision: 1633457
- new versino 1.3.16

* Sat Apr 25 2020 wally <wally> 1.3.15-1.mga8
+ Revision: 1572126
- new version 1.3.15

* Fri Feb 14 2020 umeabot <umeabot> 1.3.14-2.mga8
+ Revision: 1522600
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 28 2019 daviddavid <daviddavid> 1.3.14-1.mga7
+ Revision: 1361743
- new version: 1.3.14

* Sun Sep 23 2018 umeabot <umeabot> 1.3.13-3.mga7
+ Revision: 1297604
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.3.13-2.mga6
+ Revision: 953839
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 1.3.13-1.mga6
+ Revision: 837498
- new version 1.3.13

* Wed Oct 15 2014 umeabot <umeabot> 1.3.12-3.mga5
+ Revision: 745710
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.12-2.mga5
+ Revision: 679008
- Mageia 5 Mass Rebuild

* Sat May 24 2014 wally <wally> 1.3.12-1.mga5
+ Revision: 625351
- new version 1.3.12
- new libmajor 7

* Tue Feb 04 2014 wally <wally> 1.3.11-1.mga5
+ Revision: 581818
- new version 1.3.11

* Sun Oct 27 2013 wally <wally> 1.3.10-1.mga4
+ Revision: 547336
- new version 1.3.10

* Sat Oct 19 2013 umeabot <umeabot> 1.3.9-2.mga4
+ Revision: 532826
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.3.9-1.mga4
+ Revision: 469670
- new version 1.3.9

* Thu Jun 06 2013 wally <wally> 1.3.8-1.mga4
+ Revision: 438356
- new version 1.3.8
- remove some trailing spaces from descriptions (SILNET)

* Thu May 23 2013 wally <wally> 1.3.7-1.mga4
+ Revision: 425044
- new version 1.3.7

* Fri Jan 11 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 349664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 wally <wally> 1.3.6-1.mga3
+ Revision: 334750
- new version 1.3.6

* Sun Aug 05 2012 wally <wally> 1.3.5-1.mga3
+ Revision: 278622
- new version 1.3.5

* Sun Jun 03 2012 wally <wally> 1.3.4-1.mga3
+ Revision: 253772
- new version 1.3.4
- new major 2
- clean .spec

* Mon Sep 26 2011 wally <wally> 1.3.3-2.mga2
+ Revision: 148900
- make devel pkg to conflict with enet1.2 devel pkg

* Sun Sep 25 2011 wally <wally> 1.3.3-1.mga2
+ Revision: 147645
- new version 1.3.3
- clean .spec a bit

* Thu Jun 30 2011 wally <wally> 1.2.5-1.mga2
+ Revision: 116699
- new version 1.2.5
- drop buildroot definition

* Sun May 08 2011 mikala <mikala> 1.2.3-1.mga1
+ Revision: 96312
- imported package enet


* Thu Feb 10 2011 Jani Välimaa <wally@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 637168
- new version 1.2.3
- get rid of the .la file

* Wed Oct 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 586966
- renaming
- renaming to match other package naming
- import libenet

